#!/usr/bin/python

import socket

from charmhelpers.core import hookenv
from charmhelpers.core.services import helpers


class JujuInfoRelation(helpers.RelationContext):
    name = "juju-info"
    interface = "juju-info"

    def get_data(self):
        super(JujuInfoRelation, self).get_data()
        if not hookenv.relation_ids(self.name):
            return
        self['hostname'] = socket.gethostname()


class CollectdGraphiteRelation(helpers.RelationContext):
    name = 'carbon-server'
    interface = 'carbon-server'
#    required_keys = ['carbon_host', 'carbon_port']

    def get_data(self):
        super(CollectdGraphiteRelation, self).get_data()
        if not hookenv.relation_ids(self.name):
            return
        self['carbon_host'] = hookenv.relation_get('carbon_host'),
        self['carbon_port'] = hookenv.relation_get('carbon_port'),

        self['carbon_server'] = self[self.name]

    def provide_data(self):
        super(CollectdGraphiteRelation, self).provide_data()
        if not hookenv.relation_ids(self.name):
            return
        schemas = []
        schema = {
            'name': hookenv.config('schema_name'),
            'pattern': hookenv.config('schema_pattern'),
            }
        schemas.append(schema)

        return {
            'schemas': schemas
            }

