#!/usr/bin/python

from charmhelpers.core import hookenv
from charmhelpers.core.services import helpers
from charmhelpers.core.services.base import ServiceManager

import collectd_helpers
import actions


def manage():
    manager = ServiceManager([
        {
            'service': 'collectd',
            'required_data': [
                # collectd_helpers.CollectdAgentRelation(),
                # TEST: start collectd service 'just' after juju-info relation
                #       is ready (ie after the subord charm lands into ppal's)
                collectd_helpers.JujuInfoRelation(),
            ],
            'data_ready': [
            actions.install_packages,
            actions.log_start,
            helpers.render_template(
                source='collectd.conf.j2',
                target='/etc/collectd/collectd.conf',
                perms=0644),
            ],
        },

        {
            'service': 'carbon-server',
            'required_data': [
                collectd_helpers.CollectdGraphiteRelation(),
            ],
            'provided_data': [
                collectd_helpers.CollectdGraphiteRelation(),
            ],
            'data_ready': [
                actions.log_start,
                helpers.render_template(
                    source='graphite-collectd.conf.j2',
                    target='/etc/collectd/collectd.conf.d/graphite.conf',
                    perms=0644),
            ],
        },
    ])

    manager.manage()
